gtk-0.12.0: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Graphics.UI.Gtk.Recent.RecentChooserMenu

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Attributes

Description

Displays recently used files in a menu

- Module available since Gtk+ version 2.10

Synopsis

- data RecentChooserMenu
- class MenuClass o => RecentChooserMenuClass o
- castToRecentChooserMenu :: GObjectClass obj => obj -> RecentChooserMenu
- toRecentChooserMenu :: RecentChooserMenuClass o => o -> RecentChooserMenu
- recentChooserMenuNew :: IO RecentChooserMenu
- recentChooserMenuNewForManager :: RecentManagerClass manager => manager -> IO RecentChooserMenu
- recentChooserMenuShowNumbers :: RecentChooserMenuClass self => Attr self Bool

# Detail

`RecentChooserMenu` is a widget suitable for displaying recently used files inside a menu. It can be used to set a sub-menu of a `MenuItem` using `menuItemSetSubmenu`, or as the menu of a `MenuToolButton`.

Note that `RecentChooserMenu` does not have any methods of its own. Instead, you should use the functions that work on a `RecentChooser`.

Note also that `RecentChooserMenu` does not support multiple filters, as it has no way to let the user choose between them as the `RecentChooserWidget` and `RecentChooserDialog` widgets do. Thus using `recentChooserAddFilter` on a `RecentChooserMenu` widget will yield the same effects as using `recentChooserSetFilter`, replacing any currently set filter with the supplied filter; `recentChooserRemoveFilter` will remove any currently set `RecentFilter` object and will unset the current filter; `recentChooserListFilters` will return a list containing a single `RecentFilter` object.

Recently used files are supported since Gtk+ 2.10.

# Class Hierarchy

     | GObject
     | +----Object
     | +----Widget
     | +----Container
     | +----MenuShell
     | +----Menu
     | +----RecentChooserMenu

# Types

data RecentChooserMenu

class MenuClass o => RecentChooserMenuClass o

castToRecentChooserMenu :: GObjectClass obj => obj -> RecentChooserMenu

toRecentChooserMenu :: RecentChooserMenuClass o => o -> RecentChooserMenu

# Constructors

recentChooserMenuNew :: IO RecentChooserMenu

Creates a new `RecentChooserMenu` widget.

This kind of widget shows the list of recently used resources as a menu, each item as a menu item. Each item inside the menu might have an icon, representing its MIME type, and a number, for mnemonic access.

This widget implements the `RecentChooser` interface.

This widget creates its own `RecentManager` object. See the `recentChooserMenuNewForManager` function to know how to create a `RecentChooserMenu` widget bound to another `RecentManager` object.

- Available since Gtk+ version 2.10

recentChooserMenuNewForManager

Arguments

:: RecentManagerClass manager |
=> manager | `manager` - a `RecentManager`
-> IO RecentChooserMenu | returns a new `RecentChooserMenu`, bound to manager.

Creates a new `RecentChooserMenu` widget using `manager` as the underlying recently used resources manager.

This is useful if you have implemented your own recent manager, or if you have a customized instance of a `RecentManager` object or if you wish to share a common `RecentManager` object among multiple `RecentChooser` widgets.

- Available since Gtk+ version 2.10

# Attributes

recentChooserMenuShowNumbers :: RecentChooserMenuClass self => Attr self Bool

Whether the first ten items in the menu should be prepended by a number acting as a unique mnemonic.

Default value: `False`

- Available since Gtk+ version 2.10